import React, { FC, useEffect, useState } from 'react';
import Button from '@material-ui/core/Button';
import { Grid, Typography, Hidden } from '@material-ui/core';
import { getRoles } from 'api/getRoles';
import { setRole } from 'api/setRole';
import { useHistory } from 'react-router-dom';
import { AuthRoutes } from 'api/routes';
import { Header } from 'components/Utils/Header';
import { ChoseRole } from './ChoseRole';
import { choseRoleStyle } from './ChoseRole.style';

/**
 * Page that let's users decide role between available roles.
 * This is intended to use when a user has more than one role.
 * @returns ChoseRole component.
 */
export const ChoseRolePage: FC = () => (
  <div data-testid="ChoseRole">
    <Header title="Chose your" subtitle="role" />
    <Grid container>
      <Grid item xs={1} lg={2} />
      <Grid item xs={10} lg={8}>
        <ChoseRole />
      </Grid>
      <Grid item xs={1} lg={2} />
    </Grid>
  </div>
);
