import { getReservationsList } from 'api/getReservationsList';
import { useMemo, useState } from 'react';
import { ReservationType } from 'types/ReservationType';

export const useReservations = (): ReservationType[] => {
  const [reservationList, setReservationList] = useState<ReservationType[]>([]);
  useMemo(() => {
    let isMounted = true;

    getReservationsList().then((list) => {
      if (isMounted) setReservationList(list);
    });
    return () => {
      isMounted = false;
    };
  }, []);
  return reservationList;
};
